eID middleware |

# eIDMW::PTEID_Crl Class Reference

Class that represents one CRL. More...

`#include <eidlib.h>`

Inheritance diagram for eIDMW::PTEID_Crl:

List of all members.

## Public Member Functions
PTEIDSDK_API | PTEID_Crl (const char *uri)
| Create a Crl from its uri (without any certificate link).
virtual PTEIDSDK_API | ~PTEID_Crl (void)
| Destructor.
PTEIDSDK_API const char * | getUri ()
| Return the uri of the CRL.
PTEIDSDK_API const char * | getIssuerName ()
| Return the name of the issuer of the certificate.
PTEIDSDK_API PTEID_Certificate & | getIssuer ()
| Return the issuer certificate.
PTEIDSDK_API PTEID_CrlStatus | getData (PTEID_ByteArray &crl, bool bForceDownload=false)
| Return the CRL as a byte array.
NOEXPORT_PTEIDSDK | PTEID_Crl (const SDK_Context *context, APL_Crl *impl)
| For internal use : Constructor.

## Detailed Description

Class that represents one CRL.

## Constructor & Destructor Documentation

PTEIDSDK_API eIDMW::PTEID_Crl::PTEID_Crl | ( | const char * | uri | ) |

Create a Crl from its uri (without any certificate link).

As there is no issuer, this CRL can't be verify and some method are not allowed (ex. getIssuer). These methods throw PTEID_ExBadUsage exception.

virtual PTEIDSDK_API eIDMW::PTEID_Crl::~PTEID_Crl | ( | void |  | ) | `[virtual]`

Destructor.

NOEXPORT_PTEIDSDK eIDMW::PTEID_Crl::PTEID_Crl | ( | const SDK_Context * | context,
|  | APL_Crl * | impl |
| ) |  |  |

For internal use : Constructor.

## Member Function Documentation

PTEIDSDK_API PTEID_CrlStatus eIDMW::PTEID_Crl::getData | ( | PTEID_ByteArray & | crl,
|  | bool | bForceDownload = `false` |
| ) |  |  |

Return the CRL as a byte array.

If it comes from a Certif we verify the signature. If it's created from the URL only we DON'T verify the signature.

Parameters:

  | crl | will content the crl
  | bForceDownload | : if true the CRL in the cache is not valid anymore and we force a new download

PTEIDSDK_API PTEID_Certificate& eIDMW::PTEID_Crl::getIssuer | ( |  | ) |

Return the issuer certificate.

if there is no issuer (root), PTEID_ExCertNoIssuer exception is thrown.

PTEIDSDK_API const char* eIDMW::PTEID_Crl::getIssuerName | ( |  | ) |

Return the name of the issuer of the certificate.

PTEIDSDK_API const char* eIDMW::PTEID_Crl::getUri | ( |  | ) |

Return the uri of the CRL.

The documentation for this class was generated from the following file:

- eidlib.h